Strophe: xmpp_conn_t Struct Reference

Strophe 0.13 XMPP client library

Data Fields
xmpp_conn_t Struct Reference

`#include <common.h>`

## Data Fields
struct conn_interface | intf
unsigned int | ref
xmpp_ctx_t * | ctx
xmpp_conn_type_t | type
int | is_raw
xmpp_conn_state_t | state
uint64_t | timeout_stamp
int | error
xmpp_stream_error_t * | stream_error
xmpp_sock_t * | xsock
sock_t | sock
int | ka_timeout
int | ka_interval
int | ka_count
tls_t * | tls
int | tls_support
int | tls_disabled
int | tls_mandatory
int | tls_legacy_ssl
int | tls_trust
char * | tls_cafile
char * | tls_capath
char * | tls_client_cert
char * | tls_client_key
int | tls_failed
int | sasl_support
int | auth_legacy_enabled
int | secured
xmpp_certfail_handler | certfail_handler
xmpp_password_callback | password_callback
void * | password_callback_userdata
struct { |
char pass [1024] |
unsigned char fname_hash [XMPP_SHA1_DIGEST_SIZE] |
size_t passlen |
size_t fnamelen |
} | password_cache |
unsigned int | password_retries
int | bind_required
int | session_required
int | sm_disable
xmpp_sm_state_t * | sm_state
struct { |
struct xmpp_compression * state |
int allowed |
int supported |
int dont_reset |
} | compression |
char * | lang
char * | domain
char * | jid
char * | pass
char * | bound_jid
char * | stream_id
int | blocking_send
int | send_queue_max
int | send_queue_len
int | send_queue_user_len
xmpp_send_queue_t * | send_queue_head
xmpp_send_queue_t * | send_queue_tail
int | reset_parser
parser_t * | parser
unsigned int | connect_timeout
xmpp_open_handler | open_handler
int | stream_negotiation_completed
xmpp_conn_handler | conn_handler
void * | userdata
xmpp_handlist_t * | timed_handlers
hash_t * | id_handlers
xmpp_handlist_t * | handlers
xmpp_sockopt_callback | sockopt_cb

## Field Documentation

## ◆ intf

struct conn_interface xmpp_conn_t::intf

## ◆ ref

unsigned int xmpp_conn_t::ref

## ◆ ctx

xmpp_ctx_t* xmpp_conn_t::ctx

## ◆ type

xmpp_conn_type_t xmpp_conn_t::type

## ◆ is_raw

int xmpp_conn_t::is_raw

## ◆ state [1/2]

xmpp_conn_state_t xmpp_conn_t::state

## ◆ timeout_stamp

uint64_t xmpp_conn_t::timeout_stamp

## ◆ error

int xmpp_conn_t::error

## ◆ stream_error

xmpp_stream_error_t* xmpp_conn_t::stream_error

## ◆ xsock

xmpp_sock_t* xmpp_conn_t::xsock

## ◆ sock

sock_t xmpp_conn_t::sock

## ◆ ka_timeout

int xmpp_conn_t::ka_timeout

## ◆ ka_interval

int xmpp_conn_t::ka_interval

## ◆ ka_count

int xmpp_conn_t::ka_count

## ◆ tls

tls_t* xmpp_conn_t::tls

## ◆ tls_support

int xmpp_conn_t::tls_support

## ◆ tls_disabled

int xmpp_conn_t::tls_disabled

## ◆ tls_mandatory

int xmpp_conn_t::tls_mandatory

## ◆ tls_legacy_ssl

int xmpp_conn_t::tls_legacy_ssl

## ◆ tls_trust

int xmpp_conn_t::tls_trust

## ◆ tls_cafile

char* xmpp_conn_t::tls_cafile

## ◆ tls_capath

char* xmpp_conn_t::tls_capath

## ◆ tls_client_cert

char* xmpp_conn_t::tls_client_cert

## ◆ tls_client_key

char* xmpp_conn_t::tls_client_key

## ◆ tls_failed

int xmpp_conn_t::tls_failed

## ◆ sasl_support

int xmpp_conn_t::sasl_support

## ◆ auth_legacy_enabled

int xmpp_conn_t::auth_legacy_enabled

## ◆ secured

int xmpp_conn_t::secured

## ◆ certfail_handler

xmpp_certfail_handler xmpp_conn_t::certfail_handler

## ◆ password_callback

xmpp_password_callback xmpp_conn_t::password_callback

## ◆ password_callback_userdata

void* xmpp_conn_t::password_callback_userdata

## ◆ pass [1/2]

char xmpp_conn_t::pass[1024]

## ◆ fname_hash

unsigned char xmpp_conn_t::fname_hash[XMPP_SHA1_DIGEST_SIZE]

## ◆ passlen

size_t xmpp_conn_t::passlen

## ◆ fnamelen

size_t xmpp_conn_t::fnamelen

## ◆ [struct]

struct { ... } xmpp_conn_t::password_cache

## ◆ password_retries

unsigned int xmpp_conn_t::password_retries

## ◆ bind_required

int xmpp_conn_t::bind_required

## ◆ session_required

int xmpp_conn_t::session_required

## ◆ sm_disable

int xmpp_conn_t::sm_disable

## ◆ sm_state

xmpp_sm_state_t* xmpp_conn_t::sm_state

## ◆ state [2/2]

struct xmpp_compression* xmpp_conn_t::state

## ◆ allowed

int xmpp_conn_t::allowed

## ◆ supported

int xmpp_conn_t::supported

## ◆ dont_reset

int xmpp_conn_t::dont_reset

## ◆ [struct]

struct { ... } xmpp_conn_t::compression

## ◆ lang

char* xmpp_conn_t::lang

## ◆ domain

char* xmpp_conn_t::domain

## ◆ jid

char* xmpp_conn_t::jid

## ◆ pass [2/2]

char* xmpp_conn_t::pass

## ◆ bound_jid

char* xmpp_conn_t::bound_jid

## ◆ stream_id

char* xmpp_conn_t::stream_id

## ◆ blocking_send

int xmpp_conn_t::blocking_send

## ◆ send_queue_max

int xmpp_conn_t::send_queue_max

## ◆ send_queue_len

int xmpp_conn_t::send_queue_len

## ◆ send_queue_user_len

int xmpp_conn_t::send_queue_user_len

## ◆ send_queue_head

xmpp_send_queue_t* xmpp_conn_t::send_queue_head

## ◆ send_queue_tail

xmpp_send_queue_t* xmpp_conn_t::send_queue_tail

## ◆ reset_parser

int xmpp_conn_t::reset_parser

## ◆ parser

parser_t* xmpp_conn_t::parser

## ◆ connect_timeout

unsigned int xmpp_conn_t::connect_timeout

## ◆ open_handler

xmpp_open_handler xmpp_conn_t::open_handler

## ◆ stream_negotiation_completed

int xmpp_conn_t::stream_negotiation_completed

## ◆ conn_handler

xmpp_conn_handler xmpp_conn_t::conn_handler

## ◆ userdata

void* xmpp_conn_t::userdata

## ◆ timed_handlers

xmpp_handlist_t* xmpp_conn_t::timed_handlers

## ◆ id_handlers

hash_t* xmpp_conn_t::id_handlers

## ◆ handlers

xmpp_handlist_t* xmpp_conn_t::handlers

## ◆ sockopt_cb

xmpp_sockopt_callback xmpp_conn_t::sockopt_cb

The documentation for this struct was generated from the following file:

- common.h